Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output
Class LocalOutputDirectory

    java.lang.Object
      convert.relaxng.output.LocalOutputDirectory

All Implemented Interfaces:
  OutputDirectory

    public class LocalOutputDirectory

extends java.lang.Object
implements OutputDirectory

Nested Class Summary

Nested classes/interfaces inherited from interface convert.relaxng.output.OutputDirectory
`OutputDirectory.Stream`

Constructor Summary
`LocalOutputDirectory(java.lang.String mainSourceUri, java.io.File mainOutputFile, java.lang.String extension, java.lang.String encoding, int lineLength, int indent)`

Method Summary
`int` | `getIndent()`
`int` | `getLineLength()`
`java.lang.String` | `getLineSeparator()`
`OutputDirectory.Stream` | `open(java.lang.String sourceUri, java.lang.String encoding)`
`java.lang.String` | `reference(java.lang.String fromSourceUri, java.lang.String toSourceUri)`
`void` | `setEncoding(java.lang.String encoding)` This overrides the encoding specified with open.
`void` | `setIndent(int indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalOutputDirectory

    public LocalOutputDirectory(java.lang.String mainSourceUri,
                                java.io.File mainOutputFile,
                                java.lang.String extension,
                                java.lang.String encoding,
                                int lineLength,
                                int indent)

Method Detail

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Description copied from interface: `OutputDirectory`
  This overrides the encoding specified with open.

  Specified by:
    `setEncoding` in interface `OutputDirectory`

### open

    public OutputDirectory.Stream open(java.lang.String sourceUri,
                                       java.lang.String encoding)
                                throws java.io.IOException

  Specified by:
    `open` in interface `OutputDirectory`
  Throws:
    `java.io.IOException`

### reference

    public java.lang.String reference(java.lang.String fromSourceUri,
                                      java.lang.String toSourceUri)

  Specified by:
    `reference` in interface `OutputDirectory`

### getLineSeparator

    public java.lang.String getLineSeparator()

  Specified by:
    `getLineSeparator` in interface `OutputDirectory`

### getLineLength

    public int getLineLength()

  Specified by:
    `getLineLength` in interface `OutputDirectory`

### getIndent

    public int getIndent()

  Specified by:
    `getIndent` in interface `OutputDirectory`

### setIndent

    public void setIndent(int indent)

  Specified by:
    `setIndent` in interface `OutputDirectory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD